
const {ccclass, property} = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {
    @property(cc.Node)
    ndTest: cc.Node = undefined;

    @property(cc.ParticleSystem)
    psTest: cc.ParticleSystem = undefined;

    @property(cc.Label)
    lblnd: cc.Label = undefined;

    @property(cc.Label)
    lblps: cc.Label = undefined;

    private b: boolean = false;
    private b1: boolean = false;

    showOrHideNode() {
        this.ndTest.active = this.b;
        if (this.b) {
            this.lblnd.string = "显示节点"
        } else {
            this.lblnd.string = "隐藏节点"
        }
        this.b = !this.b;
    }

    showOrHidePS() {
        this.b1 = !this.b1;
        if (this.b) {
            this.lblps.string = "reset特效"
        } else {
            this.lblps.string = "stop特效"
        }
        if (this.b1) {
            this.psTest.resetSystem()
        } else {
            this.psTest.stopSystem()
        }
    }


}
